Name: libwebp
Version: 1.3.2
Release: 1
License: BSD-3-Clause
Summary: A new image format for the Web
Url: https://developers.google.com/speed/webp/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libutil-devel
BuildRequires: zlib-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: xz-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: giflib-devel

Source0: https://github.com/webmproject/libwebp/archive/v%{version}.tar.gz

%description
WebP is a modern image format that provides superior lossless and lossy
compression for images on the web.

%package -n libwebp7
Summary: WebP library

%description -n libwebp7
WebP library


%package -n libwebpdecoder3
Summary: WebP decoder library

%description -n libwebpdecoder3
WebP decoder library


%package -n libwebpdemux2
Summary: WebP demuxer library

%description -n libwebpdemux2
WebP demuxer library

%package -n libwebpmux3
Summary: WebP muxer library

%description -n libwebpmux3
WebP muxer library

%package -n libsharpyuv0
Summary: Library for sharp RGB to YUV conversion

%description -n libsharpyuv0
Library for sharp RGB to YUV conversion


%package devel
Summary: libwebp development files
Requires: libwebp = %{version}-%{release}
Requires: libwebp7 = %{version}-%{release}
Requires: libwebpdecoder3 = %{version}-%{release}
Requires: libwebpdemux2 = %{version}-%{release}
Requires: libwebpmux3 = %{version}-%{release}
Requires: libsharpyuv0 = %{version}-%{release}

%description devel
libwebp development files

%prep
%setup -q

%build

./autogen.sh 

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --disable-static \
  --enable-libwebpdecoder \
  # end

%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/*
%{_mandir}/man1/*

%files -n libwebp7
%defattr(-, qsys, *none)

%{_libdir}/libwebp.so.7

%files -n libwebpdecoder3
%defattr(-, qsys, *none)

%{_libdir}/libwebpdecoder.so.3

%files -n libwebpdemux2
%defattr(-, qsys, *none)

%{_libdir}/libwebpdemux.so.2

%files -n libwebpmux3
%defattr(-, qsys, *none)

%{_libdir}/libwebpmux.so.3

%files -n libsharpyuv0
%defattr(-, qsys, *none)

%{_libdir}/libsharpyuv.so.0

%files devel
%defattr(-, qsys, *none)

%{_includedir}/webp/*
%{_libdir}/libwebp*.so
%{_libdir}/libsharpyuv.so
%{_libdir}/pkgconfig/libwebp*
%{_libdir}/pkgconfig/libsharpyuv.pc

%changelog
* Wed Oct 18 2023 Kevin Adler <kadler@us.ibm.com> - 1.3.2
- Bump to 1.3.2
- Fixes CVE-2023-4863

* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com>
- Intra-package Requires need version and release

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com>
- Use brp-rm-libtool-files

* Mon Aug 5 2019 Xu Meng <mengxumx@cn.ibm.com>
- The initial release on IBM i
